Subject: Re: Mysterious arp error
To: Peter. Bex <>
From: Manuel Bouyer <>
List: tech-net
Date: 09/12/2002 21:35:02
On Thu, Sep 12, 2002 at 09:22:45PM +0200, Peter. Bex wrote:
> Both things are quite new, and I seem to have an older NetBSD.
> I forgot how fast this updating of CURRENT goes, but I upgraded when I first started coding (that's a while back of course) so it's not /that/ old.
> I'll upgrade the kernel (matter of fact, I'm downloading it now!) and also my own code so it uses the ether_ioctl & IFQ_SET_READY.

Well, I think it's been a while since thoses where integrated ... maybe
you're using the 1.5.x branch ?

> I found the cause of all my trouble: I forgot to include "opt_inet.h". Call me stupid, please do :)
> When I looked at the latest tulip.c (as suggest by you), I noticed how old my version actually is. The opt_* includes aren't even used anymore by tulip.c...
> I couldn't find in any documentation on about how to contribute source to NetBSD. What should I do once I've finished my driver?

The best is to send it using send-pr as change-request. This will record
it in the bug tracking database.

Manuel Bouyer <>